Routes

Get collections

GEThttps://api.insurely.com/collections

Returns all collections for the authenticated user within the client scope.

Request

Query Parameters

latestboolean

Return only the latest collection per company

statusInArray<string>

Filter by collection status (e.g. COMPLETED, FAILED)

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2026-04-01.

Responses

Collections retrieved successfully.

Body

collectionIdstring

Unique identifier for the collection.

companystring

Insurance company identifier.

createdAtstring[date-time]

Timestamp when the collection was created.

loginMethodstring

Login method used for the collection.

statusstring

Current status of the collection.

cURL
curl https://api.insurely.com/collections?latest=your-value&statusIn=your-value \
  -H "Authorization: Bearer <jwt-token>"